curl --request POST \
--url https://staging-api.mobipurse.com/v1/disbursements \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reference": "2a59004d-72a9-4bdc-9893-abff8fa6ffb4",
"amount": 10000,
"phoneNumber": "2257038102473",
"country": "CI",
"currency": "XOF",
"webhookURL": "https://webhook.site/100ebe83-961d-4096-8741-05772dafcfa1"
}
'import requests
url = "https://staging-api.mobipurse.com/v1/disbursements"
payload = {
"reference": "2a59004d-72a9-4bdc-9893-abff8fa6ffb4",
"amount": 10000,
"phoneNumber": "2257038102473",
"country": "CI",
"currency": "XOF",
"webhookURL": "https://webhook.site/100ebe83-961d-4096-8741-05772dafcfa1"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: '2a59004d-72a9-4bdc-9893-abff8fa6ffb4',
amount: 10000,
phoneNumber: '2257038102473',
country: 'CI',
currency: 'XOF',
webhookURL: 'https://webhook.site/100ebe83-961d-4096-8741-05772dafcfa1'
})
};
fetch('https://staging-api.mobipurse.com/v1/disbursements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"data": {
"reference": "DMBD20251110155014KVAZR",
"merchantsReference": "5f86ad3c-2d4a-401e-959c-3e0db463b175",
"amount": 10000,
"fee": 480,
"status": "success"
}
}{
"statusCode": 400,
"error": "Invalid request parameters"
}{
"statusCode": 401,
"error": "Invalid API key"
}{
"statusCode": 409,
"error": "A disbursement with this reference already exists"
}{
"statusCode": 422,
"error": "Invalid phone number format"
}{
"statusCode": 500,
"error": "Internal Server Error"
}Request a disbursement
Initiates a disbursement to send funds to a recipient’s mobile wallet. The disbursement will be processed and you’ll receive the status immediately in the response. Webhook notifications will be sent for any status changes.
Authorizations
API key for authentication. Generate this from your Mobipurse dashboard under Settings → API Keys.
Body
Unique merchant reference for the disbursement. Must be unique for each disbursement.
"2a59004d-72a9-4bdc-9893-abff8fa6ffb4"
The amount to disburse in the lowest currency denomination (e.g., 10000 for 100.00)
x >= 110000
Recipient's phone number in international format without the + sign
^[0-9]{10,15}$"2257038102473"
The 2-character ISO country code
^[A-Z]{2}$"CI"
The 3-character ISO currency code
^[A-Z]{3}$"XOF"
URL to receive webhook notifications for disbursement events
"https://webhook.site/100ebe83-961d-4096-8741-05772dafcfa1"
